%% This file is imc43.cls
%%
%% Copyright 2012 by Dr. Morteza Faghfouri
%%
%% The 43re Iranian Mathematics Conferencs, University of Tabriz, Tabriz, Iran.
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{imc43}[2012/1/17 : 43rd Iranian mathematics Conference, University of Tabriz  class   (Author: Morteza Faghfouri )]
\LoadClass[a4paper,11pt]{article}
\usepackage{color,graphicx} 
\usepackage[all]{xy}
\usepackage{amssymb,amsmath,amsthm}
\usepackage{nonfloat,graphicx}
\usepackage{ifxetex}
\usepackage[pdftex,nomarginpar,width=150mm,height=220mm,top=45mm, headsep=20mm,footskip=11.29mm]{geometry}

\renewcommand*{\title}[2][]{\gdef\shorttitle{#1}\gdef\@title{#2}}
\edef\title{\@nx\@dblarg
  \@xp\@nx\csname\string\title\endcsname}
  \date{}

\ifxetex


\usepackage[xetex,colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=blue,bookmarksopen
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={imc43}}%

\usepackage{xepersian}
\settextfont[Scale=1.1]{XB Niloofar}
%\setlatintextfont[Scale=1]{Junicode}
\setdigitfont[Scale=1]{Parsi Digits}


\newcommand{\subject}[1]{\begin{flushleft}\lr{\textbf{Mathematics  Subject Classification [2010]}: #1}\end{flushleft}}
\newcommand{\keyword}[1]{\par\noindent\textbf{واژه‌های کلیدی:} #1 }
\newcommand{\university}[1]{\\[3mm]{\small #1}}
\newcommand{\email}[1]{\begin{flushleft}\lr{E-mail: \ttfamily #1}\\[-2mm]\end{flushleft}}
%\AddToShipoutPictureFG{ \AtTextUpperLeft{\put(-45,35){ \footnotesize\textcolor{red}{چهل و سومین }
%کنفرانس ریاضی ایران، دانشگاه تبریز،
%}
%\put(3,20){ \footnotesize
%۶ الی ۹ شهریور ۱۳۹۱
%}
%}}
%%%%%%%%%%%%%%%%theorem%%%%%%%%%%%%%%%%%%%
\newtheorem{theorem}{قضیه}[section]
\newtheorem{lemma}[theorem]{لم}
\newtheorem{pro}[theorem]{گزاره}
\newtheorem{exam}{مثال}
\newtheorem{result}[theorem]{نتیجه}
\newtheorem{defi}[theorem]{تعریف }
\newtheorem{case}{حالت}

\else
\usepackage{eso-pic}
\usepackage[colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=red,bookmarksopen,urlcolor=red,filecolor=red,
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={imc43}}%

\usepackage{epstopdf}
  
\newcommand{\subject}[1]{\begin{flushleft}\textbf{Mathematics  Subject Classification[2010]}: #1\end{flushleft}}
\newcommand{\keyword}[1]{\par\noindent \textbf{Keywords:} #1 }
\newcommand{\university}[1]{\\[3mm]{\small #1}}
\newcommand{\email}[1]{\begin{flushleft}
E-mail: {\ttfamily #1}\end{flushleft}
}

\AddToShipoutPictureFG{ \AtTextUpperLeft{\put(60,35){ \footnotesize
The \textcolor{red}{ $43^{\text{rd}}$} Annual Iranian Mathematics Conference, University of Tabriz}%
\put(140,20){ \footnotesize
\textcolor{red}{ $27-30 \text{ August } 2012$}, Tabriz, Iran}}%
} 
%%%%%%%%%%%%%%%%%THEOREM%%%%%%%%%%%%%%%%%
\newtheorem{defi}{Definition}[section]
\newtheorem{lemma}[defi]{Lemma}
\newtheorem{pro}[defi]{Proposition}
\newtheorem{theorem}[defi]{Theorem}
\newtheorem{cor}[defi]{Corollary}
\newtheorem{rem}[defi]{Remark}
\newtheorem{case}{Case:}
\newtheorem{exam}{Example}
\newtheorem{result}[defi]{Result}
\fi
